Subject: Re: [Asrg] Please critique my anti-spam system

From: "Michael Kaplan" <[email-masked]>
Date: Sun, 09 Jan 2005 11:33:31 -0500

Sorry about the messed up reply.  He is what I wanted to send.

> However, subscribing to mailinglists may be a bit difficult with
> Michael's scheme:
>
> Lets say, Our user Joe tries to subscriben to the mailinglist
> <[email-masked]>. So he creates a new subaddress (e.g.,
> <[email-masked]>) and enters into a web form or sends it to
> <[email-masked]>. Typically, the mailing-list software will
> reply with a confirmation request: from:
> <[email-masked]> to: <[email-masked]>. When Joe
> replies, his software will generate a new unique address, since he never
> sent mail to <[email-masked]> before (e.g.,
> <[email-masked]>). So the Mailinglist-Software will receive a
> confirmation from <[email-masked]> to subscribe the address
> <[email-masked]>. Some mailinglist software will refuse the
> request if the two addresses don't match.
>
> Even if he manages to subscribe, however, the first time he wants to
> send something to the mailinglist, the software will create yet another
> unique address (e.g., <[email-masked]>), since he hasn't sent
> anything to <[email-masked]> yet. Since most mailinglists only allow
> postings from subscribed addresses, his message won't get through
> (Some, but not all mailing lists allow you to specify alternate
> addresses).
>
> So at the very least, any software implementing Michael's proposal needs
> to allow the user to override the automatic generation of new
> subaddresses. (This of course means user interaction and it means user
> errors - I know that I often make errors of that kind when I first post
> to a new mailinglist)

The mailing list should be configured to view [email-masked]
and [email-masked] as a single entity.  Mailing lists don't do this
today, but if my system became prevalent then this simple modification
would be quickly adopted.

Michael Kaplan

-- 
_______________________________________________
Find what you are looking for with the Lycos Yellow Pages
http://r.lycos.com/r/yp_emailfooter/http://yellowpages.lycos.com/default.asp?SRC=lycos10

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: "Peter J. Holzer" <[email-masked]>
Date: Sun, 9 Jan 2005 18:27:43 +0100

On 2005-01-09 11:33:31 -0500, Michael Kaplan wrote:
> > <[email-masked]>.
[... confirmation process creates new subaddress and may fail ...]
> would be quickly adopted.

Again you are assuming that everybody will be using the same system.
How can the mailing list software know that they are a single entity?
After all <peter.holzer@wsr...> and <peter.janecek@wsr...> aren't two
mail addresses of the same person, either. One is mine, the other
belongs to a colleague two doors down the hall.

The mail standards are very specific that the sender must not assume
anything about the structure of the local part. Every site has their own
convention, and while some are pretty wide-spread (such as using '+' to
split the local part into a mailbox and a detail string), any attempt to
mandate one of them would invalidate existing email addresses.

	hp

-- 
   _  | Peter J. Holzer    | Je höher der Norden, desto weniger wird
|_|_) | Sysadmin WSR       | überhaupt gesprochen, also auch kein Dialekt.
| |   | [email-masked]         | Hallig Gröde ist fast gänzlich dialektfrei.
__/   | http://www.hjp.at/ |   -- Hannes Petersen in desd
_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Seth Breidbart <[email-masked]>
Date: Sun, 9 Jan 2005 13:13:05 -0500 (EST)

"Michael Kaplan" <[email-masked]> wrote:

> and [email-masked] as a single entity.  Mailing lists don't
> do this today, but if my system became prevalent then this simple
> modification would be quickly adopted.

Except that (to pick an actual example, with made-up names)
[email-masked] and [email-masked]
are two completely different people.

Seth